Mailinglist Archive: opensuse-buildservice (181 mails)

< Previous Next >
[opensuse-buildservice] Problems with perl(modulename) Requires
  • From: Christian Boltz <opensuse@xxxxxxxxx>
  • Date: Mon, 2 Jul 2007 00:28:03 +0200
  • Message-id: <200707020028.04756@xxxxxxxxxxxxxxx>
Hello,

it seems Factory has problems with perl module Requires like
    Requires:   perl(modulename)

See home:cboltz - I get an expansion error in the fontlinge-QA package 
saying
    nothing provides bytes) needed by fontlinge, 
    nothing provides utf8) needed by fontlinge, [...]

According to the build log of the Fontlinge package (also in 
home:cboltz), the Requirements are already broken in the package:
    Requires: ImageMagick perl bytes) utf8) [...]

The spec file contains the correct Requires:
    Requires:    perl(bytes) perl(utf8)


Any idea what could be wrong and why this only happens on Factory?


Regards,

Christian Boltz
-- 
For patterns and products, this is - as we now learned - wrong and
confusing.  (We will probably have more such learning effects in the
future ... ;-})
[Klaus Kaempf in https://bugzilla.novell.com/show_bug.cgi?id=198379]
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups